Subject: Re: [patch net-next v3 13/13] net: expose devlink port over rtnetlink

From: Jakub Kicinski <[email-masked]>
Date: Wed, 2 Nov 2022 08:52:49 -0700

On Wed, 2 Nov 2022 16:37:00 +0100 Jiri Pirko wrote:
> >> Maybe it's time to plumb policies thru to classic netlink, instead of
> >> creating weird attribute constructs?  
> >
> >Not a blocker, FWIW, just pointing out a better alternative.  
> 
> Or, even better, move RTnetlink to generic netlink. Really, there is no
> point to have it as non-generic netlink forever. We moved ethtool there,
> why not RTnetlink?

As a rewrite?  We could plug in the same callbacks into a genl family
but the replies / notifications would have different headers depending
on the socket type which gets hairy, no?